Bug 154622 - Keymap dialog is not accessible via keyboard
Keymap dialog is not accessible via keyboard
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Key bindings
6.x
All All
: P2 (vote)
: 7.2
Assigned To: Svata Dedic
issues@editor
: A11Y, FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 15:36 UTC by Petr Dvorak
Modified: 2012-06-15 06:14 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Dvorak 2008-12-04 15:36:12 UTC
Product Version: NetBeans IDE Dev (Build 200812020201)
Java: 1.6.0_10-rc; Java HotSpot(TM) Client VM 11.0-b13
System: Linux version 2.6.27-10-generic running on i386; UTF-8; en_US (nb)

The popup invoked by clicking [...] button by the shortcut are not very friendly to user - they cannot be controlled
using keyboard, it doesn't respond to UP/DOWN/HOME/... keys and it neither uses mnemonics...
Comment 1 David Strupl 2010-09-24 07:33:29 UTC
The whole keymap dialog is unusable using just keyboard. Increasing priority and planning for 6.10.
Comment 2 David Strupl 2010-10-07 09:10:07 UTC
Its too late for the bigger overhaul of the keyboard shortcuts dialog. Marking for the next release.
Comment 3 Marian Mirilovic 2012-06-12 06:28:59 UTC
All A11Y bugs needs to be resolved for 7.2
Comment 4 Svata Dedic 2012-06-12 12:39:04 UTC
See also issue #214022
Comment 5 Svata Dedic 2012-06-12 12:40:33 UTC
Changeset: 7e1471d988ae
Author:    Svata Dedic <sdedic@netbeans.org>
Date:      2012-06-12 14:40
Message:   Issue #154622 - Keymap dialog is not accessible via keyboard: fixed
Added keys for activating and deactivating the popup / editor. Improved navigation in the table. Retained selected line/cell after modifications, if possible.
Comment 6 Quality Engineering 2012-06-15 06:14:04 UTC
Integrated into 'main-golden', will be available in build *201206150001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7e1471d988ae
User: Svata Dedic <sdedic@netbeans.org>
Log: Issue #154622 - Keymap dialog is not accessible via keyboard: fixed
Added keys for activating and deactivating the popup / editor. Improved navigation in the table. Retained selected line/cell after modifications, if possible.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo